
[project]
name = "time_series_forecasting"
version = "0.1.0"
description = "A setup for time series forecasting challenge with energy consumption data."
authors = [
    { name="Tristan de Waard", email="tristan.de.waard@sogeti.com" }
]
requires-python = ">=3.12,<3.13"
dependencies = [
    "numpy",
    "pandas",
    "seaborn",
    "xgboost",
    "matplotlib",
    "plotly",
    "tensorflow-cpu",
    "scikit-learn",
    "statsmodels",
    "keras",
    "ipykernel",
    "ipywidgets",
    "shap",
    "lime",
    "pip"
]

[build-system]
requires = ["setuptools", "wheel"]
build-backend = "setuptools.build_meta"
